print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricemartini = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local martiniHudFile = "Paletten/hud_fill_martini.dds"
	local martiniHudFileSmall = "Paletten/hud_fill_martini_smal.dds"
	
    local martiniFilType = g_fillTypeManager:addFillType("MARTINI", g_i18n:getText("martini"), true, pricemartini * 2.7, 0.00045, math.rad(10), martiniHudFile, martiniHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmartini=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmartini=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MARTINI" then
		hasmartini=true
	end;
		
end;

		if hasmaize and not hasmartini then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MARTINI")
		local price = g_fillTypeManager:getFillTypeByName("MARTINI").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MARTINI")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)